/**************************************************************************
* TEST_CAL.PRG                                                            *
*     Test Program for CALENDAR()                                         *
*     Version: 2.2 (03-18-96 01:10pm)                                     *
*     Program provides sample code to show the user of the CALENDAR.PRG   *
*     program how to use it as a date field pop-up calendar.  Please note *
*     optional command-line parameter for the country (language) for the  *
*     calendar pop-up month and day-of-week strings.                      *
*     example:                                                            *
*        - to use English:                                                *
*           TEST_CAL.EXE  USA                                             *
*              - or -                                                     *
*           TEST_CAL.EXE                                                  *
*        - to use Dutch:                                                  *
*           TEST_CAL.EXE DUTCH                                            *
*                                                                         *
* Revision History:                                                       *
* 03-18-96 12:28pm   Rod   Modified to allow for override month and day   *
*                          strings to calendar()                          *
**************************************************************************/
   Parameters cParm1

   If cParm1 == NIL
      cParm1 := "USA"
   EndIf
   cParm1 := Upper(cParm1)

   Do Case
      Case cParm1 == "USA"
           nCountry := 1
      Case cParm1 == "DUTCH"
           nCountry := 2
      Otherwise
           nCountry := 1
   EndCase

   dDate   := CtoD("")
   mSelect := Date()
   nTopRow := 10
   nLftCol := 25
   cColor  := "W/B,B/W,,,I+"                             /* Color Monitor */
   clear
* @ 2,1 say "Top Row : " get nTopRow    Picture '99'                      ;
*                          Valid ( nTopRow < MaxRow()- 8 .and. nTopRow > 0)
* @ 3,1 say "Left Col: " get nLftCol    Picture '99'                      ;
*                          Valid ( nLftCol < MaxCol()-21 .and. nLftCol > 0)
  @ 4,1 say "Color: "    get cColor    Picture '!!!!!!!!!!!!!!!!!!!!!!!!!!!!!'
  Read
  @ 6,1 SAY "Date: "     get dDate Picture '@D'                           ;
        Valid Iif(Empty(dDate),                                           ;
              (dDate := CALENDAR(dDate, nTopRow, nLftCol, cColor,nCountry),;
                                 .t.),.t. )
  Read

* dDate := CALENDAR(dDate, nTopRow, nLftCol, cColor)
* dDate := CALENDAR(Date(), nTopRow, nLftCol, cColor)
  @ 23,10 say "You Selected: " + DtoC(dDate)
Return dDate
